Bug 134691 - www/apache22-peruser-mpm - no pkg for www/apache13 in 7.2
Summary: www/apache22-peruser-mpm - no pkg for www/apache13 in 7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-19 01:10 UTC by Joe
Modified: 2009-05-19 13:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joe 2009-05-19 01:10:02 UTC
In 7.1 and previous  pkg_add -r apache  fetched apache13.
Now in release 7.2  pkg_add -r apache  installs apache22.
Looks like someone made apache22 the default pkg and did not
point this out in the release notes or bother to create a
named package for apace13 in the Latest directory.
Comment 1 Glen Barber 2009-05-19 01:26:10 UTC
On Mon, May 18, 2009 at 8:09 PM, Joe <fbsd1@a1poweruser.com> wrote:
> In 7.1 and previous =A0pkg_add -r apache =A0fetched apache13.
> Now in release 7.2 =A0pkg_add -r apache =A0installs apache22.
> Looks like someone made apache22 the default pkg and did not
> point this out in the release notes or bother to create a
> named package for apace13 in the Latest directory.
>

The package is available.

ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-7.2-release/All/apach=
e-1.3.41.tbz

--=20
Glen Barber
Comment 2 Philip M. Gollucci freebsd_committer 2009-05-19 02:51:11 UTC
State Changed
From-To: open->closed

this is not true.  Something is wrong locally.
Comment 3 Philip M. Gollucci freebsd_committer 2009-05-19 03:00:32 UTC
State Changed
From-To: closed->open

re-open, its a bug in the www/apache22-peruser-mpm port 

http://www.freebsd.org/cgi/query-pr.cgi?pr=134691 

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/www/apache22-peruser-mpm/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- Makefile    29 Jan 2009 23:51:46 -0000      1.3
+++ Makefile    19 May 2009 02:01:18 -0000
@@ -21,7 +21,7 @@
 WITH_MPM=              ${SLAVE_PORT_MPM}
 SLAVE_DESIGNED_FOR=    2.2.11  # 2.2.3 to be honest, but works fine on
2.2.11
 
-LATEST_LINK=   ${PORTNAME}
+LATEST_LINK=   apache22-peruser-mpm
 DESCR=                 ${.CURDIR}/pkg-descr
 
 .include "${MASTERDIR}/Makefile"

Fix committed, I'll see if I can find someone with karma to untagle the
ftp sites.

Comment 4 dfilter service freebsd_committer 2009-05-19 03:04:44 UTC
pgollucci    2009-05-19 02:04:29 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22-peruser-mpm Makefile 
  Log:
  - Fix the LATEST_LINK to not overwrite www/apache (13) package tbz on the ftp
    sites.
  
  PR:             ports/134691
  Reported by:    Joe <fbsd1@a1poweruser.com>
  With hat:       apache@
  
  Revision  Changes    Path
  1.4       +2 -2      ports/www/apache22-peruser-mpm/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Edwin Groothuis freebsd_committer 2009-05-19 08:40:39 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 6 Edwin Groothuis freebsd_committer 2009-05-19 08:40:41 UTC
Maintainer of www/apache22-peruser-mpm,

Please note that PR ports/134691 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/134691

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 7 Edwin Groothuis freebsd_committer 2009-05-19 08:40:43 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 8 Jille 2009-05-19 09:05:04 UTC
Agreed

(FTR: John Hay <jhay meraka.org.za> once pointed out that is was 
overriding the Latest-package for apache22. pgollucci@ fixed the 
LATEST_LINK in the apache22-peruser-mpm back then)

-- Jille
Comment 9 Pav Lucistnik freebsd_committer 2009-05-19 10:09:58 UTC
State Changed
From-To: feedback->closed

Fixed
Comment 10 Joe 2009-05-19 13:04:58 UTC
I see the email from Jille Timmermans <jille@quis.cx>  then maintainer
saying he agrees with the patch to fix the LATEST_LINK in the
apache22-peruser-mpm. But yet you go and close the bug report. Please
explain why. Is it going to be fixed in 7.3 or not???